jQuery(function($){
	var audioElement = document.createElement('audio');


	$("#inpImgIdent").on("click", function(e){		
		e.preventDefault();
		console.log("Focus");
		audioElement.setAttribute('src', 'assets/scanningSound.mp3');
        audioElement.setAttribute('autoplay', 'autoplay');
        $.get();
        audioElement.addEventListener("load", function() {
            audioElement.play();
        }, true);

        setTimeout(function(){ 
        	$("#inicio").fadeOut(function(){
        		$("#loading").fadeIn().delay(2000).fadeOut(function(){
        			$("body").removeClass("normal");
        			$("body").addClass("bicha");

        			audioElement.setAttribute('src', 'assets/bicha.mp3');
			        audioElement.setAttribute('autoplay', 'autoplay');
			        $.get();
			        audioElement.addEventListener("load", function() {
			            audioElement.play();
			        }, true);

        			$("#bichaDetectada").fadeIn();
        		});
        	});
		}, 1000);

	});



	$("#lkNovo").on("click", function(e){
		e.preventDefault();
		audioElement.pause();

		$("body").removeClass("bicha");
		$("body").addClass("normal");

		$("#bichaDetectada").fadeOut(function(){
			$("#inicio").fadeIn();
		});
	});
});


var gaPlugin;
var devicePlataform;

function onLoad() {
	document.addEventListener('deviceready', initApp, false);
}

var admobid = {};

function initApp() {	

	devicePlataform = device.platform;

	initAd();
	
    gaPlugin = window.plugins.gaPlugin;
    gaPlugin.init(nativePluginResultHandler, nativePluginErrorHandler, "UA-64499444-2", 10);
}

// Admob
function initAd(){
	if ( window.plugins && window.plugins.AdMob ) {
		var ad_units = {
			ios : {
				banner: 'ca-app-pub-5748583492239593/6970801468',
				interstitial: 'ca-app-pub-5748583492239593/9924267867'
			},
			android : {
				banner: 'ca-app-pub-5748583492239593/7540721066',
				interstitial: 'ca-app-pub-5748583492239593/5924387061'
			},
			wp8 : {
				banner: 'ca-app-pub-5748583492239593/2691719062',
				interstitial: 'ca-app-pub-5748583492239593/4168452265'
			}
	    };

	    var admobid = "";
		if (devicePlataform == "Android"){
			admobid = ad_units.android;
		}else if (devicePlataform == "iOS") {
			admobid = ad_units.ios;
		}else{
			admobid = ad_units.wp8;
		}

		window.plugins.AdMob.setOptions( {
            publisherId: admobid.banner,
            interstitialAdId: admobid.interstitial,
            bannerAtTop: false, // set to true, to put banner at top
            overlap: false, // set to true, to allow banner overlap webview
            offsetTopBar: false, // set to true to avoid ios7 status bar overlap
            isTesting: false, // receiving test ad
            autoShow: true // auto show interstitial ad when loaded
        });

		window.plugins.AdMob.createBannerView();		
	}
}

function AbrirInterstitialView(){
	if (devicePlataform == "Android"){
		window.plugins.AdMob.createInterstitialView();
	}
}


// Google Analytics
function TrackButtonClicked() {
	gaPlugin.trackEvent( nativePluginResultHandler, nativePluginErrorHandler, "CalcularAposentadoria", "Click", "calcular aposentadoria", 1);
}
function nativePluginResultHandler (result) {
	//alert('nativePluginResultHandler - '+result);
	console.log('nativePluginResultHandler: '+result);
}

function nativePluginErrorHandler (error) {
	//alert('nativePluginErrorHandler - '+error);
	console.log('nativePluginErrorHandler: '+error);
}
